apiVersion: monitoring.coreos.com/v1
kind: PodMonitor
metadata:
  labels:
    deployment: apicast-example-apicast
  name: apicast
spec:
  namespaceSelector: {}
  podMetricsEndpoints:
  - bearerTokenSecret:
      key: ""
    path: /metrics
    port: metrics
    scheme: http
  selector:
    matchLabels:
      deployment: apicast-example-apicast